clear all;

%Initial guess
x = [5 7 2 5 2 -5 0 3 29 -10];

%Termination condition
maxiter=100;

for i=1:1:maxiter
  if i==1
    [current,g,H] = ep(x);
    best=current;
    solution = x;
  else
    %choose direction
    d = -(inv(H)*g')';
    %choose stepsize
    alpha = 1;
    %update
    x = x + alpha.*d;
    %evaluate
    [current,g,H] = ep(x);
    
    if current < best
      best=current;
      solution = x;
    end 
    
   end
  
   disp(['Iteration =' num2str(i) ' Obj. function value = ' num2str(current) ' Current point = ' num2str(x) ]);
end

solution
best